<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'welcome';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;


//-----------------------------------Admin Start---------------------------------//

$route['superiorlegal082019'] = 'Adminlogin';
$route['admin/dashboard'] = 'Admin';

//------------------------------------------welcome Start-----------------------------//

$route['welcome'] = 'Admin/welcome';
$route['editwelcome/(:any)'] 				= 'Admin/editwelcome/$1';
$route['updatewelcome/(:any)'] 			= 'Admin/updatewelcome/$1';

//------------------------------------Welcome End------------------------------------//

//------------------------------------banner Start---------------------------------//
$route['banner'] 							= 'Admin/banner';
$route['addbanner'] 						= 'Admin/addbanner';
$route['editbanner/(:any)'] 				= 'Admin/editbanner/$1';
$route['updatebanner/(:any)'] 			= 'Admin/updatebanner/$1';
$route['deletebanner/(:any)'] 			= 'Admin/deletebanner/$1';
//-----------------------------------banner End--------------------------------------//


//-------------------------------About Start---------------------------------//
$route['aboutus'] = 'Admin/about';
$route['editabout/(:any)'] 				= 'Admin/editabout/$1';
$route['updateabout/(:any)'] 			= 'Admin/updateabout/$1';
//--------------------------------------About End------------------------------------//

//------------------------------------service Start----------------------------------//
$route['service'] 							= 'Admin/service';
$route['addservice'] 						= 'Admin/addservice';
$route['editservice/(:any)'] 				= 'Admin/editservice/$1';
$route['updateservice/(:any)'] 			= 'Admin/updateservice/$1';
$route['deleteservice/(:any)'] 			= 'Admin/deleteservice/$1';
//-----------------------------------service End--------------------------------------//


//---------------------------------service Sub cat Start----------------------------//
$route['servicesubcat'] 							= 'Admin/servicesubcat';
$route['addservicesubcat'] 						= 'Admin/addservicesubcat';
$route['editservicesubcat/(:any)'] 				= 'Admin/editservicesubcat/$1';
$route['updateservicesubcat/(:any)'] 			= 'Admin/updateservicesubcat/$1';
$route['deleteservicesubcat/(:any)'] 			= 'Admin/deleteservicesubcat/$1';
//------------------------------service Sub cat End----------------------------------//


//-------------------------------Blog Start------------------------------------//
$route['blog'] 							= 'Admin/blog';
$route['addblog'] 						= 'Admin/addblog';
$route['editblog/(:any)'] 				= 'Admin/editblog/$1';
$route['updateblog/(:any)'] 			= 'Admin/updateblog/$1';
$route['deleteblog/(:any)'] 			= 'Admin/deleteblog/$1';
//----------------------------------------Blog End-------------------------------//


//-----------------------------------Testimonial Start------------------------//
$route['testimonial'] 							= 'Admin/testimonial';
$route['addtestimonial'] 						= 'Admin/addtestimonial';
$route['edittestimonial/(:any)'] 				= 'Admin/edittestimonial/$1';
$route['updatetestimonial/(:any)'] 			= 'Admin/updatetestimonial/$1';
$route['deletetestimonial/(:any)'] 			= 'Admin/deletetestimonial/$1';
//----------------------------------------Testimonial End----------------------------//



//------------------------------Contact Detail Start--------------------------------//
$route['contactdetails'] 							= 'Admin/contactdetails';
$route['addcontactdetails'] 						= 'Admin/addcontactdetails';
$route['editcontactdetails/(:any)'] 				= 'Admin/editcontactdetails/$1';
$route['updatecontactdetails/(:any)'] 			= 'Admin/updatecontactdetails/$1';
//----------------------------Contact Detail End-----------------------------------//

//---------------------------------Contact Enquery--------------------------------//
$route['enquiry-list'] 							= 'Admin/enquirylist';
$route['view-enquiry/(:any)'] 				= 'Admin/viewenquiry/$1';
$route['delete-enqueri/(:any)'] 			= 'Admin/deleteenqueri/$1';
//-------------------------------Contact Enquery End-----------------------------//


//------------------------------------------Customer--------------------------------//
$route['customer-list'] 							= 'Admin/customerlist';
$route['view-customer/(:any)'] 				= 'Admin/viewcustomer/$1';
$route['delete-customer/(:any)'] 			= 'Admin/deletecustomer/$1';
//----------------------------------------Customer-----------------------------------//

// //------------------------------------------Booking--------------------------------//
// $route['booking-list'] 							= 'Admin/bookinglist';
// $route['view-booking/(:any)'] 				= 'Admin/viewbooking/$1';
// $route['delete-booking/(:any)'] 			= 'Admin/deletebooking/$1';
// //----------------------------------------Booking-----------------------------------//


//------------------------------------------Legal Research Booking--------------------//
$route['legalresearch-booking-list'] 			= 'Admin/legal_research_bookinglist';
$route['legalresearch-view-booking/(:any)'] 	= 'Admin/legal_research_viewbooking/$1';
$route['legalresearch-delete-booking/(:any)'] 	= 'Admin/legal_research_deletebooking/$1';
//--------------------------------Legal Research Booking------------------------------//


//-----------------------------Certificate of Good Standing Booking--------------------//
$route['certificatestanding-booking-list'] 	= 'Admin/certificate_standing_bookinglist';
$route['certificatestanding-view-booking/(:any)'] = 'Admin/certificate_standing_viewbooking/$1';
$route['certificatestanding-delete-booking/(:any)'] = 'Admin/certificate_standing_deletebooking/$1';
//--------------------------------Certificate of Good Standing Booking------------------//


//-----------------------------Annual Report Booking--------------------//
$route['annual-report-booking-list'] 	= 'Admin/annual_report_bookinglist';
$route['annual-report-view-booking/(:any)'] = 'Admin/annual_report_viewbooking/$1';
$route['annual-report-delete-booking/(:any)'] = 'Admin/annual_report_deletebooking/$1';
//--------------------------------Annual Report Booking------------------//

//-----------------------------C-Corporation Booking--------------------//
$route['c-corporation-booking-list'] 	= 'Admin/c_corporation_bookinglist';
$route['c-corporation-view-booking/(:any)'] = 'Admin/c_corporation_viewbooking/$1';
$route['c-corporation-delete-booking/(:any)'] = 'Admin/c_corporation_deletebooking/$1';
//--------------------------------C-Corporation Booking------------------//


//-----------------------------S-Corporation Booking--------------------//
$route['s-corporation-booking-list'] 	= 'Admin/s_corporation_bookinglist';
$route['s-corporation-view-booking/(:any)'] = 'Admin/s_corporation_viewbooking/$1';
$route['s-corporation-delete-booking/(:any)'] = 'Admin/s_corporation_deletebooking/$1';
//--------------------------------S-Corporation Booking------------------//


//-----------------------------LLC Formation Booking--------------------//
$route['llcformation-booking-list'] 	= 'Admin/llcformation_bookinglist';
$route['llcformation-view-booking/(:any)'] = 'Admin/llcformation_standing_viewbooking/$1';
$route['llcformation-delete-booking/(:any)'] = 'Admin/llcformation_standing_deletebooking/$1';
//--------------------------------LLC Formation Booking------------------//


//-----------------------------Amendment Booking--------------------//
$route['amendment-booking-list'] 	= 'Admin/amendment_bookinglist';
$route['amendment-view-booking/(:any)'] = 'Admin/amendment_viewbooking/$1';
$route['amendment-delete-booking/(:any)'] = 'Admin/amendment_deletebooking/$1';
//--------------------------------Amendment Booking------------------//

//-----------------------------Dissolution Booking--------------------//
$route['dissolution-booking-list'] 	= 'Admin/dissolution_bookinglist';
$route['dissolution-view-booking/(:any)'] = 'Admin/dissolution_viewbooking/$1';
$route['dissolution-delete-booking/(:any)'] = 'Admin/dissolution_deletebooking/$1';
//--------------------------------Dissolution Booking------------------//


//-----------------------------Reinstatement Booking--------------------//
$route['reinstatement-booking-list'] 	= 'Admin/reinstatement_bookinglist';
$route['reinstatement-view-booking/(:any)'] = 'Admin/reinstatement_viewbooking/$1';
$route['reinstatement-delete-booking/(:any)'] = 'Admin/reinstatement_deletebooking/$1';
//--------------------------------Reinstatement Booking------------------//

//-----------------------------Nonprofit Corporation Booking--------------------//
$route['nonprofitcorporation-booking-list'] 	= 'Admin/nonprofitcorporation_bookinglist';
$route['nonprofitcorporation-view-booking/(:any)'] = 'Admin/nonprofitcorporation_viewbooking/$1';
$route['nonprofitcorporation-delete-booking/(:any)'] = 'Admin/nonprofitcorporation_deletebooking/$1';
//--------------------------------Nonprofit Corporation Booking------------------//


//-----------------------------Registered Agent Booking--------------------//
$route['registeragent-booking-list'] 	= 'Admin/registeragent_bookinglist';
$route['registeragent-view-booking/(:any)'] = 'Admin/registeragent_viewbooking/$1';
$route['registeragent-delete-booking/(:any)'] = 'Admin/registeragent_deletebooking/$1';
//--------------------------------Registered Agent Booking------------------//


//-----------------------------UCC Filing Booking--------------------//
$route['uccfiling-booking-list'] 	= 'Admin/uccfiling_bookinglist';
$route['uccfiling-view-booking/(:any)'] = 'Admin/uccfiling_viewbooking/$1';
$route['uccfiling-delete-booking/(:any)'] = 'Admin/uccfiling_deletebooking/$1';
//--------------------------------UCC Filing Booking------------------//


//-----------------------------By Laws Booking--------------------//
$route['bylaws-booking-list'] 	= 'Admin/bylaws_bookinglist';
$route['bylaws-view-booking/(:any)'] = 'Admin/bylaws_viewbooking/$1';
$route['bylaws-delete-booking/(:any)'] = 'Admin/bylaws_deletebooking/$1';
//--------------------------------By Laws Booking------------------//

//-----------------------------Superior Post-It Service Booking--------------------//
$route['postit-booking-list'] 	= 'Admin/postit_bookinglist';
$route['postit-view-booking/(:any)'] = 'Admin/postit_viewbooking/$1';
$route['postit-delete-booking/(:any)'] = 'Admin/postit_deletebooking/$1';
//--------------------------------Superior Post-It Service Booking------------------//




//--------------------------------------Privacy Policy Start-------------------------//

$route['privacypolicy'] = 'Admin/privacypolicy';
$route['editprivacypolicy/(:any)'] 				= 'Admin/editprivacypolicy/$1';
$route['updateprivacypolicy/(:any)'] 			= 'Admin/updateprivacypolicy/$1';

//-----------------------------Privacy Policy End----------------------------------//



//-------------------------------Cookie Policy Start-------------------------------//

$route['cookiepolicy'] 							= 'Admin/cookiepolicy';
$route['editcookiepolicy/(:any)'] 				= 'Admin/editcookiepolicy/$1';
$route['updatecookiepolicy/(:any)'] 				= 'Admin/updatecookiepolicy/$1';

//------------------------------Cookie Policy End---------------------------------//


//-----------------------Disclaimers Policy Start-------------------------------//

$route['disclaimers'] 							= 'Admin/disclaimers';
$route['editdisclaimers/(:any)'] 				= 'Admin/editdisclaimers/$1';
$route['updatedisclaimers/(:any)'] 				= 'Admin/updatedisclaimers/$1';

//---------------------------Disclaimers Policy End---------------------------------//

//---------------------------------Terms & Condition Start-----------------------//

$route['termscondition'] = 'Admin/termscondition';
$route['edittermscondition/(:any)'] 				= 'Admin/edittermscondition/$1';
$route['updatetermscondition/(:any)'] 			= 'Admin/updatetermscondition/$1';

//-------------------------Terms & Condition End---------------------------------//

//-------------------Data Protection Policy Start-------------------------------//

$route['dataprotectionpolicy'] 							= 'Admin/dataprotectionpolicy';
$route['editdataprotectionpolicy/(:any)'] 				= 'Admin/editdataprotectionpolicy/$1';
$route['updatedataprotectionpolicy/(:any)'] 			= 'Admin/updatedataprotectionpolicy/$1';

//------------------------------Data Protection Policy End--------------------------//


//-----------------------------------My Profile-------------------------------------//

$route['My-Profile'] 									= 'Admin/see_profile';
$route['Edit-My-Profile/(:any)'] 								= 'Admin/edit_myprofile/$1';
$route['Update-My-Profile/(:any)'] 							= 'Admin/update_edit_profile/$1';
$route['My-Profile-Change-Password/(:any)'] 			= 'Admin/passwordChange/$1';



//--------------------------Admin End-----------------------------------------//








//-----------------------------------webpagestart-----------------------------------------//

$route['home'] = 'Welcome/index';
$route['about'] = 'Welcome/about';
$route['service'] = 'Welcome/service';

// ** Service Dynamic Start**/////

// $route['service-subcategory/(:any)'] = 'Welcome/subcategory/$1';
// $route['service-details/(:any)'] = 'Welcome/servicedetails/$1';

// ** Service Dynamic End**/////



// ** Service Static Start**/////

$route['legal-reserch-subcategory'] = 'Welcome/legal_reserch_subcategory';
$route['legal-reserch-servicedetails'] = 'Welcome/legal_reserch_servicedetails';

$route['legal-document-preparation-subcategory'] = 'Welcome/legal_document_preparation_subcategory';
$route['c-corporation-servicedetails'] = 'Welcome/c_corporation_servicedetails';
$route['s-corporation-servicedetails'] = 'Welcome/s_corporation_servicedetails';
$route['llc-formation-servicedetails'] = 'Welcome/llc_formation_servicedetails';
$route['amendment-servicedetails'] = 'Welcome/amendment_servicedetails';
$route['dissolution-servicedetails'] = 'Welcome/dissolution_servicedetails';
$route['reinstatement-servicedetails'] = 'Welcome/reinstatement_servicedetails';
$route['nonprofit-corporation-servicedetails'] = 'Welcome/nonprofit_corporation_servicedetails';

$route['business-management-subcategory'] = 'Welcome/business_management_subcategory';
$route['register-agent-servicedetails'] = 'Welcome/register_agent_servicedetails';
$route['annual-report-servicedetails'] = 'Welcome/annual_report_servicedetails';
$route['certificate-good-standing-servicedetails'] = 'Welcome/certificate__servicedetails';
$route['ucc-filing-servicedetails'] = 'Welcome/ucc_filing_servicedetails';
$route['by-laws-servicedetails'] = 'Welcome/by_laws_servicedetails';
$route['superior-post-service-servicedetails'] = 'Welcome/superior_post_service_servicedetails';

$route['legal-reserch-booking'] = 'Welcome/legal_reserch_booking';
$route['certificate-standing-booking'] = 'Welcome/certificate_standing_booking';
$route['annualreport-booking'] = 'Welcome/annualreport_booking';
$route['llcformation-booking'] = 'Welcome/llcformation_booking';
$route['amendment-booking'] = 'Welcome/amendment_booking';
$route['dissolution-booking'] = 'Welcome/dissolution_booking';
$route['reinstatement-booking'] = 'Welcome/reinstatement_booking';
$route['nonprofit-corporation-booking'] = 'Welcome/nonprofit_corporation_booking';
$route['registeragent-booking'] = 'Welcome/registeragent_booking';
$route['uccfiling-booking'] = 'Welcome/uccfiling_booking';
$route['bylaws-booking'] = 'Welcome/bylaws_booking';
$route['postit-booking'] = 'Welcome/postit_booking';
$route['s-corporation-booking'] = 'Welcome/s_corporation_booking';
$route['c-corporation-booking'] = 'Welcome/c_corporation_booking';



// ** Service Static End**/////


$route['blog'] = 'Welcome/blog';
$route['blog-details/(:any)'] = 'Welcome/blogdetails/$1';
$route['contact-us'] = 'Welcome/contact';
$route['privacypolicy'] = 'Welcome/privacypolicy';
$route['cookiepolicy'] = 'Welcome/cookiepolicy';
$route['disclaimers'] = 'Welcome/disclaimers';
$route['terms-and-condition'] = 'Welcome/termscondition';
$route['dateprotectionpolicy'] = 'Welcome/dateprotectionpolicy';
$route['login'] = 'Welcome/login';
$route['register'] = 'Welcome/register';
$route['booking/(:any)'] = 'Welcome/booking/$1';
$route['myprofile'] = 'Welcome/myprofile';
$route['logout'] = 'Welcome/logout';
$route['thankyou/(:any)/(:any)'] = 'Welcome/thankyou/$1/$2';
$route['thankyou-legal/(:any)'] = 'Welcome/thankyoulegal/$1';
$route['thankyou-legaldocument/(:any)'] = 'Welcome/thankyoulegaldocument/$1';
$route['thankyou-dissolution/(:any)'] = 'Welcome/thankyoulegaldissolution/$1';
$route['thankyou-reinstatement/(:any)'] = 'Welcome/thankyoulegalreinstatement/$1';

$route['thankyou-agent/(:any)'] = 'Welcome/thankyoulegalagent/$1';
$route['thankyou-annualreport/(:any)'] = 'Welcome/thankyouannualreport/$1';
$route['thankyou-certificate/(:any)'] = 'Welcome/thankyoucertificate/$1';
$route['thankyou-uccfilling/(:any)'] = 'Welcome/thankyouuccfilling/$1';
$route['thankyou-bylaw/(:any)'] = 'Welcome/thankyoubylaw/$1';
$route['thankyou-postit/(:any)'] = 'Welcome/thankyoupostit/$1';

// $route['header'] = 'Welcome/header';




//-----------------------------------webpageend-----------------------------------------//